Page MenuHomePhabricator

Work with product eams on use of personas in product development
Closed, ResolvedPublic

Description

Create a meeting with Reading, Editing team and Discovery team PMs, Designers, front end engineers, other engineers, (anyone who is willing to participate) to talk about use of personas in how we build products. First in the series will be for Sherah and Rita from Reading team. More details later on next steps.

Event Timeline

aripstra created this task.Jul 22 2016, 3:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2016, 3:51 PM
aripstra edited projects, added Design-Research-Backlog; removed Design-Research.
aripstra updated the task description. (Show Details)
aripstra updated the task description. (Show Details)Aug 5 2016, 3:05 PM

Had a meeting and conversation with Reading team and DR team about personas and how to use them. There will be a follow up meeting sometime at end of August, beginning of September.

aripstra renamed this task from Work with Editing and Discovery teams on use of personas in product development to Work with product eams on use of personas in product development.Sep 9 2016, 4:12 PM

We also had another meeting to discuss. Reading design team is working on reader personas and working with product managers on how to use them. Also, the Communications team has created a template for the full set of personas in an effort to create a consistent framework for personas as we move forward. New Readers are using personas in concept development and evaluation currently.

aripstra closed this task as Resolved.Sep 23 2016, 4:45 PM
aripstra triaged this task as Normal priority.
aripstra edited projects, added Design-Research; removed Design-Research-Backlog.
aripstra added a project: Epic.
aripstra added a subscriber: ggellerman.